﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace BookStore.Models
{
    /* These ViewModel classes contain all of the data needed to display the page for which they represent.
     * They do not contain any special logic other than some that may be in any constructors. */
    public class HomePageViewModel
    {
        public List<BookSummary> books;

        public class BookSummary
        {
            public int id;
            public string title;
            public int rating;
            public int reviewCount;
            public decimal price;
            public List<string> authorNames;
        }
    }
}
